/******************************************************
*
* copyright by H.G.Kleta, 2001, 2006
*
* if you wish to use these sources, please contact
*
* fhw at indigo2 dot de
*
******************************************************/

#ifndef __PROLOG_H_
#define __PROLOG_H_


/******************************************************
*
* int InitProlog(void)
*
* function returns 0 if the initialisation of the wumpus
* prolog environment fails, <> 0 if it succeeds
*
******************************************************/

int InitProlog(void);


/******************************************************
*
* void CallProlog(char *query, char **answer1, char **answer2)
*
* functions generates a prolog-query from query and returns
* two variables as strings in answer1 and answer2
*
* example: query == "[i,go,north]"
*          prolog-query = s(Var1,Var2,[i,go,north],[]).
*          Var1 = agent
*          Var2 = go(north)
*
******************************************************/

void CallProlog(char *query, char **answer1, char **answer2);


/******************************************************
*
* void StopProlog(void)
*
* function shuts down prolog environment
*
* IMPORTANT: use PL_cleanup() instead of PL_halt since
*            PL_halt() executes exit() and thus exits
*            main program
*
******************************************************/

void StopProlog(void);


/*****************************************************/

#else
#error "PROLOG_H already included"
#endif /* __PROLOG_H_ */

/* END OF FILE prolog.h */
