/******************************************************
*
* copyright by H.G.Kleta, 2001, 2006
*
* if you wish to use these sources, please contact
*
* fhw at indigo2 dot de
*
******************************************************/

#include "my_string.h"
#include "prolog.h"
#include "scene.h"


int main(void)
{
/********************* VARIABLES *********************/

  int success;

/******************** INIT PROLOG ********************/

  success = InitProlog();
  if (!success)
    {
      NewLine(2);
      PutString("Error while initialising Prolog...");
      NewLine(2);
      PutString("aborting...");
      NewLine(2);
      StopProlog();
      exit(PROLOG_ERROR);
    }/*if*/

/******************* INIT GRAPHICS ******************/

  success = InitGL();
  if (!success)
    {
      NewLine(2);
      PutString("Error while initialising Graphics...");
      NewLine(2);
      PutString("aborting...");
      NewLine(2);
      exit(GL_ERROR);
    }/*if*/

/********************* START GL *********************/

/* Init Objects */
  InitObjects();

/* Display Callback */
  glutDisplayFunc(DrawWorld);

/* Idle Callback */
  glutIdleFunc(DrawWorld);

/* Keyboard Callback */
  glutKeyboardFunc(KeyCallback);

/****************** 1ST USER PROMPT ******************/

/* greeting */
  NewLine(1);
  PutString("Welcome to the 1st wumpus world...");
  NewLine(2);
  PutString("Please set the input-focus to the wumpus world.");
  NewLine(1);
  PutString("Press ESC to quit, ");
  PutString("anything else will be processed...");
  NewLine(2);
  PutString(USER_PROMPT);

/******************** MAIN LOOP **********************/

  glutMainLoop();

/******************* STOP PROGRAM ********************/

/* program is in glutMainLoop, therefore this return
   will never be reached...
   normal programm exit is in KeyCallback in my_string.c */

  return OK;
}/*main()*/

/*****************************************************/

/* END OF FILE wumpus.c */
