%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% copyright by H.G.Kleta, 2001, 2006
%
% if you wish to use these sources, please contact
%
% fhw at indigo2 dot de
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% e6 grammar for the wumpus world
%
% example: s(Actor,Action,[i,go,north],[]).
%          s(Actor,Action,[the,agent,goes,north],[]).
%          s(Actor,Action,[the,wumpus,is,dead],[]).
%          s(Actor,Action,[go,north],[]).


s(Actor,Action) --> np(Person,nominative,Actor),vp(Person,Action).
s(agent,Action) --> vp(1,Action).

np(Person,Case,Actor) --> pronoun(Person,Case,Actor).
np(3,_,Actor)         --> article,noun(Actor).

vp(Person,Action) --> verb(Person,Action,Param),(adverb(Param);
                                                 adjective(Param);
                                                 pp(Param);
                                                 np(_,accusative,Param)).

pp(Param) --> preposition,article,noun(Param).


% load knowledgebase

:- consult('knowledgebase.pl').

% END OF FILE wumpus.pl
